summaryrefslogtreecommitdiffstats
path: root/libjava/configure
diff options
context:
space:
mode:
authordrow <drow@138bc75d-0d04-0410-961f-82ee72b054a4>2006-11-13 20:35:20 +0000
committerdrow <drow@138bc75d-0d04-0410-961f-82ee72b054a4>2006-11-13 20:35:20 +0000
commit67ba07534d36cb965f3e4d778b20b1a528bd42bf (patch)
treeb2bf509da6cdeb68219bd470f074906b26fc5f87 /libjava/configure
parentcd21f4e0552326a8231e9d118e6803028b574f04 (diff)
downloadppe42-gcc-67ba07534d36cb965f3e4d778b20b1a528bd42bf.tar.gz
ppe42-gcc-67ba07534d36cb965f3e4d778b20b1a528bd42bf.zip
* tls.m4 (GCC_CHECK_TLS): Fall back to a link test.
git-svn-id: svn+ssh://gcc.gnu.org/svn/gcc/trunk@118777 138bc75d-0d04-0410-961f-82ee72b054a4
Diffstat (limited to 'libjava/configure')
-rwxr-xr-xlibjava/configure30
1 files changed, 18 insertions, 12 deletions
diff --git a/libjava/configure b/libjava/configure
index cab2891d259..15f499122aa 100755
--- a/libjava/configure
+++ b/libjava/configure
@@ -7633,7 +7633,7 @@ ac_x_header_dirs='
/usr/openwin/share/include'
if test "$ac_x_includes" = no; then
- # Guess where to find include files, by looking for Xlib.h.
+ # Guess where to find include files, by looking for Intrinsic.h.
# First, try using that file with no special directory specified.
cat >conftest.$ac_ext <<_ACEOF
/* confdefs.h. */
@@ -7641,7 +7641,7 @@ _ACEOF
cat confdefs.h >>conftest.$ac_ext
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h. */
-#include <X11/Xlib.h>
+#include <X11/Intrinsic.h>
_ACEOF
if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
(eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
@@ -7668,7 +7668,7 @@ else
sed 's/^/| /' conftest.$ac_ext >&5
for ac_dir in $ac_x_header_dirs; do
- if test -r "$ac_dir/X11/Xlib.h"; then
+ if test -r "$ac_dir/X11/Intrinsic.h"; then
ac_x_includes=$ac_dir
break
fi
@@ -7694,11 +7694,11 @@ _ACEOF
cat confdefs.h >>conftest.$ac_ext
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h. */
-#include <X11/Xlib.h>
+#include <X11/Intrinsic.h>
int
main ()
{
-XrmInitialize ()
+XtMalloc (0)
;
return 0;
}
@@ -16549,12 +16549,17 @@ if test "${have_tls+set}" = set; then
else
if test "$cross_compiling" = yes; then
- cat >conftest.$ac_ext <<_ACEOF
-__thread int foo;
+ if test x$gcc_no_link = xyes; then
+ { { echo "$as_me:$LINENO: error: Link tests are not allowed after GCC_NO_EXECUTABLES." >&5
+echo "$as_me: error: Link tests are not allowed after GCC_NO_EXECUTABLES." >&2;}
+ { (exit 1); exit 1; }; }
+fi
+cat >conftest.$ac_ext <<_ACEOF
+__thread int a; int b; int main() { return a = b; }
_ACEOF
-rm -f conftest.$ac_objext
-if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
- (eval $ac_compile) 2>conftest.er1
+rm -f conftest.$ac_objext conftest$ac_exeext
+if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
+ (eval $ac_link) 2>conftest.er1
ac_status=$?
grep -v '^ *+' conftest.er1 >conftest.err
rm -f conftest.er1
@@ -16568,7 +16573,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
ac_status=$?
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); }; } &&
- { ac_try='test -s conftest.$ac_objext'
+ { ac_try='test -s conftest$ac_exeext'
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
@@ -16581,7 +16586,8 @@ sed 's/^/| /' conftest.$ac_ext >&5
have_tls=no
fi
-rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
+rm -f conftest.err conftest.$ac_objext \
+ conftest$ac_exeext conftest.$ac_ext
else
cat >conftest.$ac_ext <<_ACEOF
OpenPOWER on IntegriCloud